Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 235124

Summary: Removal of app-misc/jbidwatcher
Product: Gentoo Linux Reporter: Markus Lohse <mlohse>
Component: Current packagesAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: enhancement CC: drwook, flow, ghutzl, lilwyrm, loci, mail, Michael.Gaber, rbachl, saturday, world.root
Priority: High Keywords: PMASKED
Version: 2008.0   
Hardware: All   
OS: Linux   
URL: http://www.jbidwatcher.org/#news
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 298701, 421917    
Attachments: jbidwatcher-2.0_beta8.ebuild
ebuild for bidwatcher-2.0_beta8 (binary)
Updated binary ebuild
patch for jbidwatcher-2.1.3
jbidwatcher-2.1.6 (version bump)

Description Markus Lohse 2008-08-18 17:00:41 UTC
The version currently in portage (1.0.2-r1) seems to work no longer. It fails to parse the auction's end timestamp.
Comment 1 Markus Lohse 2008-09-08 23:37:18 UTC
2.0 beta 8 is out.
Again, there's no working "stable" release available at the moment, so it's important to offer an update even though it carries "beta" in it's name.
Comment 2 Bjoern Olausson 2008-10-30 12:04:39 UTC
Created attachment 170303 [details]
jbidwatcher-2.0_beta8.ebuild

I hacked quickly together an jbidwatcher-2.0_beta8.ebuild

It still fails parsing ebay...

Thu Oct 30 12:54:35 CET 2008: Loading page: http://my.ebay.com/ws/eBayISAPI.dll?MyeBay&CurrentPage=MyeBayBidding
Thu Oct 30 12:54:36 CET 2008: Auction appears to have been removed from the site.
Thu Oct 30 12:54:36 CET 2008: Failed to parse auction!  Bad return result from auction server.
Thu Oct 30 12:54:36 CET 2008: Not loaded (270294788003).

Kind regards
Bjoern
Comment 3 Markus Lohse 2008-10-30 18:09:50 UTC
Thanks for the ebuild Bjoern, just 3 issues:

1. It doesn't emerge on my box as "files/jbidwatch64.jpg" does not exist.

2. The jar-file is installed in "/usr/share/jbidwatcher/lib/JBidwatcher-2.0beta8.jar" but the starter-script is trying to launch "jbidwatcher.jar". So in fact it will launch the old version 1.x -if still installed- or result in an error. This might explain why you are still getting that parser-error. Version 2.0_betaX works fine for me.

3. The ebuild no longer builds from source but uses the binary jar-file instead. Should it be renamed to "app-misc/jbidwatcher-bin"?
Comment 4 Markus Lohse 2008-10-30 18:19:16 UTC
Created attachment 170346 [details]
ebuild for bidwatcher-2.0_beta8 (binary)

-> changed jar-filename: "/usr/share/jbidwatcher/lib/jbidwatcher.jar"
-> no icon
Comment 5 Petteri Räty (RETIRED) gentoo-dev 2009-02-14 23:32:48 UTC
(In reply to comment #4)
> Created an attachment (id=170346) [edit]
> ebuild for bidwatcher-2.0_beta8 (binary)
> 
> -> changed jar-filename: "/usr/share/jbidwatcher/lib/jbidwatcher.jar"
> -> no icon
> 

This is a binary only ebuild and we aren't adding any new of those. I tried bumping to beta 11 but the tarball did not have the source files in it. Need to mail the author.
Comment 6 Christian B. 2009-02-20 19:01:36 UTC
2.0 is final now
Comment 7 Markus Lohse 2009-03-10 15:53:48 UTC
JBidWatcher-2.0.1 is out now, but still the the source-archive offered on the author's website does not contain any source code :(

I've opened a ticket on the jbidwatcher bugtracker.

Btw: Did the license change? According to the old ebuild jbidwatcher is released under LGPL. The website says it is released under a custom license based on "Creative Commons BY-NC-SA":

http://www.jbidwatcher.com/by-nc-sa-amended.shtml
Comment 8 John Stile 2009-03-19 08:15:47 UTC
The license did change.  
In this forum thread the author explains someone changed the license and sold the software as their own, so the license had to change:
http://forum.jbidwatcher.com/forums/2/topics/755
The author feels his community is mainly binary users and not developers, so the protection of not releasing source doesn't effect his community.  Maybe someone will develop another app like this that is open, but in the mean time, is it application still compatible with gentoo's portage?
Comment 9 Markus Lohse 2009-03-19 11:20:56 UTC
Uhh, too bad :(

That forum thread explains a lot. Unfortunately, as a binary ebuild has no chance to be added to portage -according to Petteri Räty- and the old open source version ceased working due to some serious changes on eBay's side I guess jbidwatcher should be removed from portage at all.

Is there any overlay for (java-)binaries where we could add the bin-ebuild?
Comment 10 Serkan Kaba (RETIRED) gentoo-dev 2009-03-19 12:01:37 UTC
(In reply to comment #9)
> Is there any overlay for (java-)binaries where we could add the bin-ebuild?
> 
Same holds for the official overlays as well.
Comment 11 Petteri Räty (RETIRED) gentoo-dev 2009-03-25 19:26:06 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Is there any overlay for (java-)binaries where we could add the bin-ebuild?
> > 
> Same holds for the official overlays as well.
> 

Well actually the policy is about not adding -bin packages for Open Source projects. jbidwatcher is no longer an open source project so we could add a binary ebuild but as it keeps breaking with every ebay change I think we should move it to the java overlay.
Comment 12 rainer 2009-04-07 21:29:29 UTC
It seems there is source code available at
http://www.jbidwatcher.com/download/jbidwatcher-2.0.1.tar.bz2

It would be great to have the update in portage...
Comment 13 Markus Lohse 2009-04-07 22:12:15 UTC
Unfortunately it does not, see #8 and here:
https://jbidwatcher.lighthouseapp.com/projects/8037/tickets/750-jbidwatcher-201tarbz2-does-not-contain-source-code

Perhaps the binary ebuild will be added to portage or some overlay sometime by some developer... Until that happens you may of course add the ebuild from this thread to your local overlay:

# wget "http://bugs.gentoo.org/attachment.cgi?id=170346" -O /usr/local/portage/app-misc/jbidwatcher/jbidwatcher-2.0.1.ebuild
# ebuild /usr/local/portage/app-misc/jbidwatcher/jbidwatcher-2.0.1.ebuild digest
# emerge -av jbidwatcher
Comment 14 Peter Read 2009-07-05 21:43:14 UTC
http://github.com/cyberfox/jbidwatcher/tree/master

well, I've just yanked something from here and appears to compile...  (hit turbulance with an ebuild so far, but sleep deprived today...)
Comment 15 hitachi 2010-04-15 13:08:48 UTC
Hi,
by now stable is 2.0.1 (23-Feb-2009)
and 03-Jan-2010 official release of 2.1pre5.
Comment 16 Dewald Pieterse 2010-07-10 20:00:39 UTC
Created attachment 238241 [details]
Updated binary ebuild

I just corrected this to fetch correctly.
Comment 17 rainer 2010-08-14 19:13:51 UTC
There is a new version available:

Stable Version
August 8, 2010
JBidwatcher 2.1.1

When changing the version in the latest ebuild in this thread,
the new version emerges and seems to work for me.
The icon in the menu is currently missing. 

Given the large interest in jbidwatcher, it would be nice if 
it could be built from source rather than using the binary only.


Comment 18 Ulrich Plate 2010-12-20 10:54:42 UTC
Created attachment 257613 [details, diff]
patch for jbidwatcher-2.1.3

JBidwatcher is at version 2.1.3 now, and it still installs and runs perfectly using the old ebuilds. The patch against the latest ebuild in this thread changes the SRC_URI to accomodate future version bumps, and the LICENSE to one that's actually listed in /usr/portage/licenses. This last bit may not be entirely accurate since JBidwatcher's author Morgan Schweers explicitly allows usage in commercial enterprises on top of the rights granted by the standard BY-NC-SA.

If this still doesn't look fit for recommitting JBidwatcher to the tree, maybe the java overlay maintainers could pick it up?
Comment 19 Mao PU 2011-05-04 08:34:58 UTC
(In reply to comment #18)
> Created attachment 257613 [details, diff]
> patch for jbidwatcher-2.1.3
> 
> JBidwatcher is at version 2.1.3 now, and it still installs and runs perfectly
> using the old ebuilds. The patch against the latest ebuild in this thread
> changes the SRC_URI to accomodate future version bumps, and the LICENSE to one
> that's actually listed in /usr/portage/licenses. This last bit may not be
> entirely accurate since JBidwatcher's author Morgan Schweers explicitly allows
> usage in commercial enterprises on top of the rights granted by the standard
> BY-NC-SA.
> 
> If this still doesn't look fit for recommitting JBidwatcher to the tree, maybe
> the java overlay maintainers could pick it up?

The provided ebuild still works for jbidwatcher-2.1.5 (released 2011-04-10) - just had to rename the ebuild.
Comment 20 Drake Wyrm 2011-07-05 05:10:05 UTC
Confirming that Dewald Pieterse's ebuild with Ulrich Plate's patch works on the current version, 2.1.5. Could somebody with the necessary rights update the summary for this bug to reflect the current version?
Comment 21 Mao PU 2011-11-26 15:36:15 UTC
Created attachment 293851 [details]
jbidwatcher-2.1.6 (version bump)

Another release has been announced at http://www.jbidwatcher.com/ and seems to work right with a renamed ebuild (see attachment). Please confirm (and update status).
Comment 22 Michael Weber (RETIRED) gentoo-dev 2011-12-27 19:23:42 UTC
I've added app-misc/JBidwatcher to my overlay (layman -a xmw).
Feel free to /pm me on irc or send me an mail to keep it up to date.

I'll suggest a removal of the useless old package from portage.

Michael
Comment 23 Kevin Haddock 2012-03-06 02:28:02 UTC
Will this ever make it into the main portage database?
Comment 24 Sven Müller 2012-06-16 12:33:08 UTC
Installed today jbidwatcher-2.5 based on the posted ebuild. Works fine so far.
Comment 25 Ralph Sennhauser (RETIRED) gentoo-dev 2012-07-13 18:11:22 UTC
(In reply to comment #22)
> I've added app-misc/JBidwatcher to my overlay (layman -a xmw).
> Feel free to /pm me on irc or send me an mail to keep it up to date.
> 
> I'll suggest a removal of the useless old package from portage.
> 
> Michael

Thanks for picking this up. Masking jbidwatcher for removal.

# Ralph Sennhauser <sera@gentoo.org> (13 Jul 2012)
# Mask for removal in 30 days. Fails to build with java 7 #421917.
# QA issues #298701. Ceased to be useful long ago. #235124. Thanks
# to Michael Weber <xmw@gentoo.org> #235124 for maintaining a
# binary package in his overlay. (layman -a xmw)
=app-misc/jbidwatcher-1*
Comment 26 Joël 2012-08-07 16:05:23 UTC
Just a question: I did "layman -a xmw" but couldn't find anything named "jbidwatcher" in it. Am I missing something?
Comment 27 Ralph Sennhauser (RETIRED) gentoo-dev 2012-08-07 18:39:28 UTC
(In reply to comment #26)
> Just a question: I did "layman -a xmw" but couldn't find anything named
> "jbidwatcher" in it. Am I missing something?

Sorry, should have mentioned it, it's named app-misc/JBidwatcher in the xmw overlay. The latest available version is 2.5.
Comment 28 Joël 2012-08-07 21:07:34 UTC
Great, thank you! I missed it because of the difference in uppercase/lowercase :-)
Comment 29 Pacho Ramos gentoo-dev 2012-09-16 12:35:46 UTC
dropped